package cz.utb.tadis.auth.http;

import javax.persistence.Id;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Pattern;

public class UpdateOtherProfileRequest extends UserRequest {

    @Id
    private Long id;

    @Pattern(regexp="^$|^(?=.*[A-Z])(?=.*[0-9])(?=.*[a-z]).{8,}$")
    private String newPassword;

    @NotBlank
    private String role;

    public UpdateOtherProfileRequest(Long id, String email, String firstName, String lastName, String company, String position, String role, String newPassword) {
        super(email, firstName, lastName, company, position);
        this.id = id;
        this.role = role;
        this.newPassword = newPassword;
    }

    public Long getId() {
        return id;
    }

    public String getNewPassword() {
        return newPassword;
    }

    public String getRole() {
        return role;
    }
}
